List the events you can see
GET /api/member/events. List the events you can see. Headless LMS Events API reference.
For a member of the organization. The published public events, and the published and canceled events you attend; with events:read, every published and canceled event it covers. Each as the event read returns it.
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20when?string
upcoming (default): not yet ended, soonest first. past: ended, latest first
Value in
- "upcoming"
- "past"
attending?string
true: only the events the caller attends
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/events"{ "rows": [ { "orgId": "string", "id": "string", "type": "event", "title": "string", "thumbnailAssetId": "string", "status": "draft", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "timeZone": "string", "recording": { "url": "http://example.com", "details": "string" }, "thumbnailUrl": "string", "location": { "venue": { "name": "string", "address": { "line1": "string", "line2": "string", "city": "string", "region": "string", "postalCode": "string", "country": "string" } }, "online": { "url": "http://example.com", "details": "string" } }, "settings": { "type": "public", "capacity": 1, "replay": true }, "attendeeCount": 0, "attendees": [ { "orgUserId": "string", "name": "string", "avatarUrl": "string" } ], "placesLeft": 0, "viewer": { "attending": true, "canRegister": true, "canOpen": true, "canLeave": true, "canManageAttendees": true, "canAddAttendees": true, "canEdit": true, "canCancel": true, "canDelete": true } } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}